; Ini-file for ICP IPX/SPX-Server
;
; The ini-file is divided into several sections (currently there's only
; one in use), each starting with a section-tag. A section tag is
; surrounded by brackets.
; Every section may contain several entries. An entry consits of a name,
; an equal sign and a value (in this order). The value may be a number
; or an arbitrary sequence of characters (a string).
;
; Note the following when editing this ini-file:
;  - Lines starting with a semicolon are interpreted as comments.
;  - Section-tags and entry-names ARE case-sensitive.
;  - If the entry's value is a string, every character between the equation
;    mark and the end of the line is treated as a part of the string, so
;    leading and trailing spaces are possible.
;  - It is NOT possible to start a comment in the same line behind a value.
;    This would be treated as part of the value.
;  - Empty lines are simply ignored.
;  - Make at least one newline-character behind the last entry.
;  - It is nice (but not necessary) to separate sections with an empty line.



; "CTRLIPX" is the main (and only) section for the ICP IPX/SPX-Server.
[CTRLIPX]

; "LogFile" specifies whether a log-file is written or not. The log-file
; is created in the same directory where this INI-file is read from. Its
; name is CTRLIPX.LOG.
;       0 -> Do NOT write a log-file (default).
;       1 -> Write a log-file.
LogFile=0

; "Loglevel" determins the log-level of the IPX/SPX-Server. The
; default-value is 2.
;       0 - Print error-messages only.
;       1 - Also print warnings.
;       2 - Also print messages for standard-actions.
;       3 - (currently not used)
;       4 - (currently not used)
;       5 - Also print debugging-messages.
Loglevel=2

; If "StatWinActive" is 1, the IPX/SPX-Server starts with its status-screen
; active. Otherwise the log-window is the first active screen. The default-
; value is 0.
StatWinActive=0

; "BaseSocket" specifies the IPX-socket on which the clients communicate
; with this IPX/SPX-server. This value should be changed if there are
; conflicts (that is other programs use the same socket).
; Note: This server uses a complete range of sockets. If you change the
;       value for "BaseSocket", please asure that there are at least n
;       sockets free above "BaseSocket". "n" is the number of max. allowed
;       concurrent connections, set by "MaxConn" below.
; The default-value for "BaseSocket" is 0x68B2.
BaseSocket=0x68B2

; This entry is currently not used, but might be activated in a later
; version of the IPX/SPX-server.
; ServiceId=0x7F9B

; "MaxConn" can be used to reduce the max. number of connections that
; may be open concurrently. The default-value is 10. This is also the
; max-value for this entry.
; Note: You may want to reduce the max. connection-number if your
;       server is short of memory. The status-window of the IPX/SPX-
;       server console-screen will help you in determining the max.
;       connection-number needed. When the status-screen comes up, all
;       connection-numbers are black (on a monochrome screen they might
;       be invisible). If a connection is in use, the color of the
;       connection number changes to white (now visible on a monochrome
;       screen too). The white color remains even when the connection is
;       closed. So just let the IPX/SPX-server run for a couple of days
;       and then look on the status screen to see how many connection
;       numbers are white (visible). This should be the max. value needed
;       for this entry.
MaxConn=10

; This entry defines which user-group has access to the IPX/SPX-server.
; All members of this group may log in by giving their user-name and
; their password to the remote tool that establishes the connection.
; The SUPERVISOR has always access to this server.
; Note: If you are using a Netware 4.x server, the group given here
;       must be defined in the bindery-context of the server.
; The default-value is "ICP_OPERATOR".
Access=ICP_OPERATOR

